Labels

Saturday, February 04, 2006

AOL News SOTU SOL


I went over to watch the AOL News: State of The Union 2006, but it says I need Firefox 1.0.4+.

I've got 1.5.0.1

What's wrong with this picture?

No Mac support it seems.

No comments:

Post a Comment